with GNATCOM.IInterface;

with GNATCOM.Errors;

package body MSHTML.IHTMLXDomainRequestFactory_Interface is

   procedure Initialize (This : in out IHTMLXDomainRequestFactory_Type) is
   begin
      Set_IID (This, IID_IHTMLXDomainRequestFactory);
   end Initialize;

   function Pointer (This : IHTMLXDomainRequestFactory_Type)
     return Pointer_To_IHTMLXDomainRequestFactory
   is
   begin
      return To_Pointer_To_IHTMLXDomainRequestFactory (Address (This));
   end Pointer;

   procedure Attach (This    : in out IHTMLXDomainRequestFactory_Type;
                     Pointer : in     Pointer_To_IHTMLXDomainRequestFactory)
   is
   begin
      Attach (This, GNATCOM.IInterface.To_Pointer_To_IUnknown
              (Pointer.all'Address));
   end Attach;

   function create
     (This                                   : IHTMLXDomainRequestFactory_Type)
     return Pointer_To_IHTMLXDomainRequest
   is
       RetVal : aliased Pointer_To_IHTMLXDomainRequest;
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.create
         (Pointer (This),
          RetVal'Unchecked_Access));

      return RetVal;
   end create;

end MSHTML.IHTMLXDomainRequestFactory_Interface;

